Show Recurring Invoice
curl --request GET \
--url https://app.dimepayments.com/api/recurring-invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"sid": 12345
}
}
'import requests
url = "https://app.dimepayments.com/api/recurring-invoice"
payload = { "data": { "sid": 12345 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {sid: 12345}})
};
fetch('https://app.dimepayments.com/api/recurring-invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"status": "Active",
"recurrence_schedule": "Monthly",
"payment_terms": "net_15",
"start_date": "2026-07-22",
"end_date": null,
"next_run_date": "2026-08-22",
"last_run_date": null,
"thank_you_note": null,
"customer": {
"id": 15132,
"name": "Marcelo Predovic",
"email": "kconsidine@example.net"
},
"items": [],
"upcoming_run_dates": [
"2026-08-22",
"2026-09-22",
"2026-10-22"
],
"invoices": []
}
}{
"data": {
"message": "Permission Denied."
}
}{
"data": {
"message": "No such Merchant"
}
}Invoice management
Show Recurring Invoice
Retrieves a single recurring-invoice template with its line items, the invoices it has generated (the 50 most recent), and the upcoming run dates.
GET
/
api
/
recurring-invoice
Show Recurring Invoice
⌘I

